#
# spec file for package rubygem-rake-compiler
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-rake-compiler
Version:        1.2.8
Release:        1.2
%define mod_name rake-compiler
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 1.8.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
URL:            https://github.com/rake-compiler/rake-compiler
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Rake-based Ruby Extension (C, Java) task generator
License:        MIT

%description
Provide a standard and simplified way to build and package
Ruby extensions (C, Java) using Rake as glue.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="History.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.2.8, see bundled History.md
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.2.7, see bundled History.md
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.2.6, see bundled History.md
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 1.2.5, see bundled History.md
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.2.0
  see installed History.md
  [#]## 1.2.0 / 2022-04-15
  * Enhancements:
  * Defer requiring `yaml`.
    [ruby/stringio#21](https://github.com/ruby/stringio/issues/21)
* Tue Jan 25 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.9
  History.txt removed upstream
* Fri Sep 25 2020 Stephan Kulow <coolo@suse.com>
  updated to version 1.1.1
  see installed History.txt
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.1.0
  see installed History.txt
  === 1.1.0 / 2012-12-25
  * Bugfixes:
  * Fix a bug that JavaExtenstionTask can't build anything.
    [#163] [Reported by Kai Kuchenbecker]
  === 1.0.9 / 2012-12-23
  * Changes:
  * Use "-Xlint" option for JRuby native extension by default.
    [#158] [Patch by Stephen George]
  * Enhancements:
  * Make customizable compiler Xlint option for JRuby native extension.
    [#118] [Patch by Hiroshi Hatake]
  * Add support for Ruby 2.7.
    [#161] [Reported by Masaki Hara]
  === 1.0.8 / 2019-09-21
  * Enhancements:
  * Added Rake::JavaExtensionTask#encoding= to pass the -encoding option to
    javac.
    [#157] [Patch by Tiago Dias]
  * Bugfixes:
  * Drop EOL'd rubyforge_project directive from .gemspec.
    [#155] [Patch by Olle Jonsson]
* Mon Jan 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.0.7
  see installed History.txt
  === 1.0.7 / 2019-01-04
  * Bugfixes:
  * Fix a bug that JRuby class path detection is failed on
    cross-compilation.
    [#149] #151 [Reported by Chalupa Petr][Patch by Prashant Vithani]
  === 1.0.6 / 2018-12-23
  * Enhancements:
  * Stop to make unreleased Ruby installable.
    [#150] [Reported by MSP-Greg]
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.0.5
  see installed History.txt
  === 1.0.5 / 2018-08-31
  * Enhancements:
  * Improve JRuby class pass detection.
    [#147] [Patch by Prashant Vithani]
  * Update the default source and target versions to Java 6.
    [#148] [Patch by Prashant Vithani]
* Tue May 30 2017 coolo@suse.com
- updated to version 1.0.4
  see installed History.txt
  === 1.0.4 / 2017-05-27
  * Enhancements:
  * Migrate to RSpec 3 from RSpec 2.
  * Add more tests.
    [#140] [Patch by Lars Kanis]
  * Support C++ source files by default.
    [#141] [Patch by Takashi Kokubun]
  * Suppress warnings.
    [#142] [Patch by Akira Matsuda]
* Thu Dec  8 2016 coolo@suse.com
- updated to version 1.0.3
  see installed History.txt
  === 1.0.3 / 2016-12-02
  * Enhancements:
  * Support specifying required Ruby versions.
    [#137] [Patch by Lars Kanis]
* Sun Nov 13 2016 coolo@suse.com
- updated to version 1.0.2
  see installed History.txt
  === 1.0.2 / 2016-11-13
  * Bugfixes:
  * Fix Ruby version detection example code in README.
    [#135] [Patch by Nicolas Noble]
  * Fix version detection.
    [#136] [Patch by Lars Kanis]
* Tue Jun 21 2016 coolo@suse.com
- updated to version 1.0.1
  see installed History.txt
  === 1.0.1 / 2016-06-21
  * Bugfixes:
  * Add missing dependency.
  === 1.0.0 / 2016-06-21
  * Enhancements:
  * Really support extension in sub directory.
* Sat May 21 2016 coolo@suse.com
- updated to version 0.9.9
  see installed History.txt
  === 0.9.9 / 2016-05-10
  * Bugfixes:
  * Support Symbol as extension name again.
    [#134] [Patch by Takashi Kokubun]
* Fri Apr 29 2016 coolo@suse.com
- updated to version 0.9.8
  see installed History.txt
  === 0.9.8 / 2016-04-29
  * Enhancements:
  * Support extension in sub directory.
    [#128], #129 [Patch by Kenta Murata]
* Sat Mar 19 2016 coolo@suse.com
- updated to version 0.9.7
  see installed History.txt
  === 0.9.7 / 2016-03-16
  * Bugfixes:
  * May fix "make" detection on Windows.
    [#123] [Reported by Aaron Stone]
* Sat Mar  5 2016 coolo@suse.com
- updated to version 0.9.6
  see installed History.txt
  === 0.9.6 / 2016-03-04
  * Enhancements
  * Add more descriptions into README.
    Closes #105 [Patch by Aaron Stone]
  * Remove needless executable bits.
    Closes #107 [Patch by Thibault Jouan]
  * Update .gitignore.
    Closes #108 [Patch by Thibault Jouan]
  * Improve "make" detection on some platforms such as FreeBSD.
    Closes #109 [Patch by Thibault Jouan]
  * Enable cucumber steps for POSIX on *BSD.
    Closes #110 [Patch by Thibault Jouan]
  * Stop to build bundled extensions.
  * Add description about CLI option into README.
    Closes #115 [Patch by Richard Michael]
  * Update description about using rake-compiler on virtual machine in
    README.
    Closes #116, #117 [Patch by Lars Kanis]
  * Update fake mechanism to be compatible with Bundler.
    Closes #121 [Patch by Lars Kanis]
  * Bugfixes:
  * Fix typos in README.
    Closes #102, #103 [Patch by Robert Fletcher]
* Fri Feb  6 2015 coolo@suse.com
- updated to version 0.9.5
  * Enhancements
  * Support adding bundled files in cross_compiling block.
    Closes #100 [Patch by Aaron Stone]
  === 0.9.4 / 2014-12-28
  * Notes:
  * Change maintainer to Kouhei Sutou from Luis Lavena.
    Thanks Luis Lavena for your great works!
  * Change repository to https://github.com/rake-compiler/rake-compiler
    from https://github.com/luislavena/rake-compiler .
  * Bugfixes:
  * Loose RubyGems dependency a little bit to ease old Debian/Ubuntu.
    Closes #93
  === 0.9.3 / 2014-08-03
  * Bugfixes:
  * Fix specs to run (and pass) on Ruby 2.1 and beyond.
    Pull #94 [hggh]
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Fri Nov 22 2013 coolo@suse.com
- updated to version 0.9.2
  * Bugfixes:
  * Pre-load resolver to avoid Bundler blow up during cross-compilation
    Pull #83 [larskanis]
* Mon Aug  5 2013 coolo@suse.com
- updated to version 0.9.1
  * Bugfixes:
  * Restore compatibility with RubyGems platforms for cross-compilation
    (i386-mingw32 and x86-mingw32 are the same and supported)
  === 0.9.0 / 2013-08-03
  * Enhancements:
  * Add support for cross-builds and multiple platforms (x86/x64).
    Pull #74 [larskanis]
    $ rake-compiler cross-ruby VERSION=1.8.7-p371
    $ rake-compiler cross-ruby VERSION=1.9.3-p392
    $ rake-compiler cross-ruby VERSION=2.0.0-p0
    $ rake-compiler cross-ruby VERSION=2.0.0-p0 HOST=x86_64-w64-mingw32
    $ rake cross compile RUBY_CC_VERSION=1.8.7:1.9.3:2.0.0
    [#] Rakefile
    ext.cross_platform = %%w[i386-mingw32 x64-mingw32]
  * Support for cross-platform specific options. Pull #74 [larskanis]
    [#] Rakefile
    ext.cross_config_options << "--with-common-option"
    ext.cross_config_options << {"x64-mingw32" => "--enable-64bits"}
  * Bugfixes:
  * Correct fat-gems support caused by RubyGems issues. Pull #76 [knu]
  * Deprecations:
  * Requires minimum Ruby 1.8.7 and RubyGems 1.8.25
  * Usage of 'i386-mswin32' needs to be changed to 'i386-mswin32-60'
* Sun Mar  3 2013 coolo@suse.com
- updated to version 0.8.3
  * Bugfixes:
  * Support FreeBSD 'mingw32-gcc' cross compiler. Closes #72 [knu]
* Mon Feb  4 2013 coolo@suse.com
- updated to version 0.8.2
  * Bugfixes:
  * Unset CC, LDFLAGS and CPPFLAGS prior cross-compiling. Closes #55
* Sun May  6 2012 coolo@suse.com
- update to 0.8.1
  * Raise error when either make or gmake could be found. Closes #53, #54
* Thu Apr  5 2012 coolo@suse.com
- update to 0.8.0
  * Enhancements:
  * Invocation from command line now support extra options similar to RubyGems.
    Closes #4 from Pull #47 [jonforums]
    $ rake compile -- --with-opt-dir=/opt/local
  * Bugfixes:
  * Only emit cross-compilation warnings for C when `cross` is invoked.
    Closes #16 from Pull #48 [mvz]
  * Only emit warnings when invoking cross-compilation tasks for JRuby.
    Pull #45 [jfirebaugh]
  * Use x86 MinGW cross-compiler. Pull #49 [larskanis]
* Wed Nov 30 2011 fcastelli@suse.com
- Fix the spec file: removed some requirements since they were
  just development dependencies.
* Tue Nov 29 2011 schubi@suse.com
- update to 0.7.9
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Thu Dec 17 2009 dmacvicar@novell.com
- Update to 0.7.0
  * Allow generation of JRuby extensions
  * Allow alteration of the Gem Specification when cross compiling.
    Closes GH-3
  * Detect GNU make independently of distribution based naming.
  * Usage of #dup to duplicate gemspec instead of YAML dumping.
  * No longer support Ruby older than 1.8.6
  * No longer support RubyGems older than 1.3.5
  * Force definition of binary directory and executables.
    Closes GH-11
  * Workaround path with spaces issues using relative paths. Closes
    GH-6
  * Removed gemspec, GitHub gems no more
* Sat Aug 15 2009 dmacvicar@novell.com
- initial package for 0.6.0
